Package Details: desura 120.25-4

Git Clone URL: https://aur.archlinux.org/desura.git (read-only)
Package Base: desura
Description: A community-driven digital distribution service for gamers (2750+ games)
Upstream URL: http://desura.com/
Licenses: GPL3
Submitter: flow
Maintainer: jyantis
Last Packager: jyantis
Votes: 226
Popularity: 0.149028
First Submitted: 2011-09-19 15:54
Last Updated: 2015-08-12 16:24

Latest Comments

le_fuzzy commented on 2016-03-16 22:21

Same issue as ryansito: libjpeg-turbo isn't supplying 'libjpeg.so.62' and Desura crashes. libjpeg6-turbo in AUR supplies 'libjpeg.so.62' and after installing it Desura runs. Don't know how SunRed is running Desura with just libjpeg-turbo, but libjpeg6-turbo seems required for now for me.

ryansito commented on 2015-09-09 20:12

Hi, updating intel microcode doesn't work for me. That's my output when running desura.
/opt/desura/lib/desura: /usr/lib/libcurl.so.3: no version information available (required by /opt/desura/lib/desura)
/devroot/teamcity/buildAgent/work/2d0cde112ff3bd73/src/include/SharedObjectLoader.h:83 - Error loading library libuicore.so: 'libjpeg.so.62: cannot open shared object file: No such file or directory' [LD_LIBRARY_PATH=/opt/desura/lib/]
$XDG_CONFIG_HOME not set, falling back to $HOME/.config.$XDG_CACHE_HOME not set, falling back to $HOME/.cache.If you don't see it. Maybe it minimized

jyantis commented on 2015-08-12 16:25

Sunred: This has been updated.

SunRed commented on 2015-08-07 13:00

Please replace libjpeg6-turbo with libjpeg-turbo since libjpeg6-turbo does not exist anymore and desura runs just fine with libjpeg-turbo.

asipper commented on 2015-04-28 00:25

I fixed it by updating my cpu's (intel) microcode using https://wiki.archlinux.org/index.php/Microcode#Updating_microcode

jyantis commented on 2015-04-26 15:58

asipper: I am sorry I wish I could help you with this. I just don't have enough info to really give you good advice.

You could try submitting an issue at:
https://github.com/desura/desura-app

You can read more about segmentation faults here:
http://stackoverflow.com/questions/3200526/what-is-a-segmentation-fault

asipper commented on 2015-04-26 15:50

it still fails but with a 2004 segmentation fault instead of a 27766 one.

jyantis commented on 2015-04-26 15:35

asipper - I just installed it on a fresh machine to test and it worked fine. Possibly try uninstalling it and all its dependencies with:
sudo pacman -Rs desura
and then trying to install it again.

asipper commented on 2015-04-26 14:08

It install fine for me but when I try to run desura I get
"➜ ~ desura
/opt/desura/lib/desura: /usr/lib/libcurl.so.3: no version information available (required by /opt/desura/lib/desura)
/opt/desura/desura: line 21: 27766 Segmentation fault (core dumped) $DESURA_DEBUGGERS $DIR/lib/desura $@
If you don't see it. Maybe it minimized
"

jyantis commented on 2015-02-13 19:59

Forge: You can remove this package then update boost. (Arch Linux is currently on boost 1.57. I suspect whatever distro you are using probably is as well) then reinstall this package. This package will not overwrite your current version of boost. Instead it will just include these 1.54 files:

So it should look like this:
ls /usr/lib/libboost_system.so* would be:
/usr/lib/libboost_system.so.1.57.0
/usr/lib/libboost_system.so
/usr/lib/libboost_system.so.1.54.0

All comments